---
lang: en
title: 'API docs: pooling.poolingservice._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/pooling
permalink: /doc/en/lb4/apidocs.pooling.poolingservice._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/pooling](./pooling.md) &gt; [PoolingService](./pooling.poolingservice.md) &gt; [(constructor)](./pooling.poolingservice._constructor_.md)

## PoolingService.(constructor)

Constructs a new instance of the `PoolingService` class

<b>Signature:</b>

```typescript
constructor(context: Context, options: PoolingServiceOptions<T>);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  context | [Context](./context.context.md) |  |
|  options | [PoolingServiceOptions](./pooling.poolingserviceoptions.md)<!-- -->&lt;T&gt; |  |


